using System;

namespace takkvalifikacije
{
    class Program
    {
        static void Main()
        {
            string[] brojevi = Console.ReadLine().Split(' ');
            string najveci =        brojevi[0] + brojevi[1] + brojevi[2];
            najveci = VeciPoCiframa(brojevi[1] + brojevi[2] + brojevi[0], najveci);
            najveci = VeciPoCiframa(brojevi[2] + brojevi[0] + brojevi[1], najveci);
            najveci = VeciPoCiframa(brojevi[0] + brojevi[2] + brojevi[1], najveci);
            najveci = VeciPoCiframa(brojevi[2] + brojevi[1] + brojevi[0], najveci);
            najveci = VeciPoCiframa(brojevi[1] + brojevi[0] + brojevi[2], najveci);
            Console.WriteLine(najveci);
            Console.ReadKey();
        }
        static string VeciPoCiframa(string broj1, string broj2)
        {
            int l = Math.Min(broj1.Length, broj2.Length);
            for (int i = 0; i < l; i++)
            {
                if (broj1[i] == broj2[i]) continue;
                return broj1[i] > broj2[i] ? broj1 : broj2;
            }
            return broj1.Length > broj2.Length ? broj1 : broj2;
        }
    }
}